function predict_rwh(gamma_filename)
% gamma=0.4
[gamma,filename] = strread(gamma_filename,'%n%s','delimiter','_');
[ensp_a,ensp_b,score] = textread('protein.links.v10.0.human.9606.refine.txt','%s%s%n%*[^\n]');
filename = filename{1};
seed_a = textread(filename,'%s%*[^\n]');
ensp = unique([ensp_a;ensp_b]);
save ensp.mat ensp -v7.3
interaction = zeros(length(ensp));
[a_flag,a_index] = ismember(ensp_a,ensp);
[b_flag,b_index] = ismember(ensp_b,ensp);
clear a_flag
clear b_flag
for i=1:length(ensp_a)
    interaction(a_index(i),b_index(i)) = score(i);
end

save interaction.mat interaction -v7.3

p = zeros(length(ensp),1);
[seed_flag,seed_index] = ismember(seed_a,ensp);
p(seed_index) = 1;
w = interaction;
index = find(~any(interaction,1));
for i=1:size(interaction,1)
    w(:,i) = interaction(:,i)/sum(interaction(:,i));
end
    pp = p;
    pp = pp/sum(pp);
   [pp,t] = rwr(w,pp,gamma);
   pp(seed_index) = 0;
   [ppp,ppp_index] = sort(pp,'descend');
   index = ppp>0.00000;
    ppp = ppp(index);
    result =  ensp(ppp_index(index));
save result.mat result -v7.3

 fid = fopen('predict_result.csv','w');
 for i=1:length(ppp)-1
     fprintf(fid,'%s%c',result{i},',');
 end
 fprintf(fid,'%s',result{i+1});
 fprintf(fid,'\n');
 for i=1:length(ppp)-1
     fprintf(fid,'%s%c',num2str(ppp(i)),',');
 end
 fprintf(fid,'%s',num2str(ppp(i+1)));

fclose(fid);

   


