function test_rwh(gamma_filename)
% gamma=0.4
[gamma,filename] = strread(gamma_filename,'%n%s','delimiter','_');
filename = filename{1};

[ensp_a,ensp_b,score] = textread('protein.links.v9.1.hsa.9606.refine.txt','%s%s%n%*[^\n]');
seed_a = textread(filename,'%s%*[^\n]');
ensp = unique([ensp_a;ensp_b]);
save ensp.mat ensp -v7.3
interaction = zeros(length(ensp));
[a_flag,a_index] = ismember(ensp_a,ensp);
[b_flag,b_index] = ismember(ensp_b,ensp);
clear a_flag
clear b_flag
for i=1:length(ensp_a)
    interaction(a_index(i),b_index(i)) = score(i);
end

save interaction.mat interaction -v7.3

p = zeros(length(ensp),1);
[seed_flag,seed_index] = ismember(seed_a,ensp);
p(seed_index) = 1;
w = interaction;
index = find(~any(interaction,1));
for i=1:size(interaction,1)
    w(:,i) = interaction(:,i)/sum(interaction(:,i));
end
seed_index = seed_index';
result = {};
score = [];
for k=seed_index
    pp = p;
    pp(k) = 0;
    pp = pp/sum(pp);
   [pp,t] = rwr(w,pp,gamma);
   pp(setdiff(seed_index,k)) = 0;
   [ppp,ppp_index] = sort(pp,'descend');
   score = [score ppp(1:500)];
    result = [result ensp(ppp_index(1:500))];
end
save result_0_7.mat result -v7.3
t=50:50:500;
acc = [];
for k=t
    num = 0;
    for i=1:length(seed_a)
        if ismember(seed_a{i},result(1:k,i))
            num =num+1;
        end
    end
    acc = [acc num/length(seed_a)];
end
dlmwrite('acc.csv',acc,'precision',10,'delimiter',',');    

  fid = fopen('test_result.csv','w');
for i=1:length(seed_a)
    temp = result(:,i);
     [flag,index] = ismember(seed_a{i},temp);
     fprintf(fid,'%s%c%s',seed_a{i},',',num2str(index));
     for k=1:500
         fprintf(fid,'%c%s',',',temp{k});
     end
     fprintf(fid,'\n');
     temp_score = score(:,i);
     fprintf(fid,'%s%c%s',' ',',',' ');
     for k=1:500
         fprintf(fid,'%c%s',',',num2str(temp_score(k)));
     end
     fprintf(fid,'\n');   
end
fclose(fid);


   


